%define shortname rssgrab
%define name gdesklets-%shortname
%define version 0.6.4
%define release 1mdk

Summary: RSS viewer for the Desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{shortname}-%{version}.tar.gz
Source1:	Makefile_install_scripts.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=101
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: gdesklets
Requires: gdesklets-LTVariations
Requires: gdesklets-DisplayConstraints
Requires: gdesklets-RDGBorder
Requires: gdesklets-psi

%description
This desklet allows you to view the contents of an RSS/RDF feed, as
supplied by various news sites and blogs all over the web.

To add the display, use one of these:
gdesklets-add-rssgrab-display
gdesklets-add-rssgrab-psi-display


%prep
%setup -q -n %shortname-%version -a 1
chmod 644 README*
chmod -R +w .
%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}
find %buildroot -type d|xargs chmod 755
find %buildroot -type f|xargs chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%defattr(755,root,root)
%_bindir/gdesklets-add-rssgrab-display
%_bindir/gdesklets-add-rssgrab-psi-display
%_bindir/gdesklets-add-LTrssgrab-display
%_bindir/gdesklets-add-RDGrssgrab-display
%defattr(-,root,root)
%_datadir/gdesklets/Displays/rssgrab/
%_datadir/gdesklets/Sensors/rssgrab/

%changelog
* Fri Sep 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- fix permissions
- new version

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- update source1 for new gdesklets syntax
- update file list
- new version

* Wed Jul 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- add more dependencies so all flavors are working correctly

* Tue May  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- new version

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- fix file list
- new version

* Wed Feb 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- initial package
